using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Services.DeviceService
{
    public interface IDeviceService
    {
        public Task<Device?> GetById(long id);
        public Task<IReadOnlyList<Device>> GetList();
        public Task<IReadOnlyList<Device>> GetList(long userId);
        public Task<Device?> Create(Device device);
        //public Task<User?> Update(User user);
        public Task<Device?> Delete(long id);
        public Task<Device?> AddProps(IReadOnlyList<Prop> props, long deviceId);
        public Task<Dictionary<long, string>?> FetchPropsData(Device device);
        public Task<Device?> Update(Device device);
    }
}
